* {
  margin: 0;
  padding: 0;
}
body {
  position: relative;
}
.navbar ul {
  color: #ffffff;
  gap: 20px;
  height: 50px;
  padding-top: 15px;
  margin-left: 700px;
}
.nav-item {
  display: inline-block;
  font-size: 20px;
  padding: 5px 30px;
}
nav {
  display: flex;
  background-color: #000000;
  width: 100%;
  position: fixed;
  z-index: 1;
  top: 0;
}
.sidebar {
  background-color: #00ffff;
  width: 320px;
  height: 100vh;
  position: fixed;
  overflow-y: scroll;
  margin-top: 35px;
  font-size: 20px;
}
.sidebar form {
  padding: 2rem;
}
input {
  margin: 10px;
  left: 20px;
}
.box-container {
  display: flex;
  flex-wrap: wrap;
  margin-left: 20%;
  position: relative;
}
.box {
  margin-top: 8rem;
  margin-left: 1rem;
  background-image: url("sunflower.jpg");
  background-size: 320px 250px;
  border: 5px solid #ff00ff;
  width: 320px;
  height: 250px;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}
.box:hover::after {
  content: "";
  position: absolute;
  width: 320px;
  height: 250px;
  background-color: #000000;
  opacity: 0;
}
.box:hover::after {
  opacity: 0.5;
}
p {
  font-size: 30px;
  font-style: bold;
  color: #ffffff;
}
p:hover {
  color: #ff0000;
}
p:active {
  color: #ffff00;
}
